#pragma once

#include "game/info.hpp"
#include "game/prota.hpp"
#include "game/sprite.hpp"

class Bola : public Sprite {
   public:
    Bola(JD8_Surface gfx, Prota* sam);

    void draw();
    void update();

   protected:
    Uint8 contador;
    Prota* sam;
};
